Bug 249276 - sym53c8xx fails domain validation on xen kernel
sym53c8xx fails domain validation on xen kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-23 10:25 EDT by Jeff Layton
Modified: 2014-06-18 03:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 22:09:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2007-07-23 10:25:32 EDT
I have a i686 machine that I use to do backups, among other things. It has a
sym53c8xx LVD SCSI card and a DLT4000 tape drive. When I changed the host to
using a xen kernel, my backups began failing. It seems to be a problem specific
to the xen kernels. When I use a non-xen kernel on the machine everything works
fine.

Kernel messages from kernel-2.6.20-1.2962.fc6 (success):

scsi 2:0:2:0: Sequential-Access Quantum  DLT4000          CD3C PQ: 0 ANSI: 2
 target2:0:2: Beginning Domain Validation
 target2:0:2: asynchronous
 target2:0:2: FAST-10 SCSI 10.0 MB/s ST (100 ns, offset 15)
 target2:0:2: Domain Validation skipping write tests
 target2:0:2: Ending Domain Validation

...kernel messages from kernel-xen-2.6.20-1.2962.fc6 (failure):

Jul 23 06:38:29 salusa kernel: scsi 2:0:2:0: Sequential-Access Quantum  DLT4000
         CD3C PQ: 0 ANSI: 2
Jul 23 06:38:29 salusa kernel:  target2:0:2: Beginning Domain Validation
Jul 23 06:38:29 salusa kernel:  target2:0:2: asynchronous
Jul 23 06:38:29 salusa kernel:  target2:0:2: FAST-10 SCSI 10.0 MB/s ST (100 ns,
offset 15)
Jul 23 06:38:29 salusa kernel: sym0: unexpected disconnect
Jul 23 06:38:29 salusa kernel:  target2:0:2: Domain Validation detected failure,
dropping back
Jul 23 06:38:29 salusa kernel:  target2:0:2: FAST-10 SCSI 6.8 MB/s ST (148 ns,
offset 15)
Jul 23 06:38:29 salusa kernel:  target2:0:2: Domain Validation skipping write tests
Jul 23 06:38:29 salusa kernel:  target2:0:2: Ending Domain Validation

...while it looks like the second one eventually passed, any attempt to actually
do actual I/O to the drive quicky returns an error. My guess is that this is
some timing-related issue, but I'm not sure where best to start.

Machine is i686 running on Athlon64 3000+. 

$ lspci | grep Sym
02:09.0 SCSI storage controller: LSI Logic / Symbios Logic 53c875 (rev 03)

...from /proc/scsi/scsi:

Host: scsi2 Channel: 00 Id: 02 Lun: 00
  Vendor: Quantum  Model: DLT4000          Rev: CD3C
  Type:   Sequential-Access                ANSI SCSI revision: 02

...the tape drive is the only thing on the bus. Other info available upon request.
Comment 1 Red Hat Bugzilla 2007-07-24 21:43:23 EDT
change QA contact
Comment 2 Chris Lalancette 2008-02-26 22:09:29 EST
Fedora Core 6 is now end-of-life, so closing this bug out.  Please test again on
Fedora 7 or later and open a new bug if the problem persists.

Thanks

Note You need to log in before you can comment on or make changes to this bug.